Subject: bug#13828: 24.3.50; Emacs freezes when using the emacs server, and exiting from a child frame

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 20:05:56 +0100

Dima Kogan <[email-masked]> writes:

> I'm running a very recent dev build of emacs. I'm observing that emacs
> goes into an infinite loop, eats up all available CPU cycles, and
> becomes unresponsive if I do the following:
>
> 1. emacs -Q --daemon ( this starts the daemon, and goes back to the
>    shell )
> 2. emacsclient -c -a '' ( connect a client )
> 3. C-x 5 2 ( make new child frame )
> 4. C-x C-c ( kill emacs )
>
> When using the emacs server, C-x C-c kills the current emacs client,
> leaving the server intact to allow more clients to connect later. This
> apparently doesn't work right if done from a child frame first.

(This bug report unfortunately got no response at the time.)

I'm unable to reproduce this in Emacs 28.  Are you still seeing this issue?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no